package org.springblade.enums;

public enum OrderStatusEnum {
	/**
	 * 工单创建
	 */
	STATUS_CREATE("1", "工单创建"),

	/**
	 * 工单接单
	 */
	STATUS_CONFIRM("2", "工单接单"),

	/**
	 * 工单处理
	 */
	STATUS_PROCESS("3", "工单处理"),

	/**
	 * 工单关闭
	 */
	STATUS_CLOSE("4", "工单关闭");

	private String code;

	private String name;

	private OrderStatusEnum(String code, String name) {
		this.code = code;
		this.name = name;
	}

	/**
	 * Function:根据code来获取对应的name
	 * Author: Admin
	 * Date:2021/6/26
	 *
	 * @param code
	 * @return java.lang.String
	 * @throws Exception
	 */
	public static String getName(String code) {
		for (OrderStatusEnum type : OrderStatusEnum.values()) {
			if (type.code.equals(code)) {
				return type.name;
			}
		}
		return "";
	}

	/**
	 * Function:根据code来获取对应的枚举常量
	 * Author: Admin
	 * Date:2021/6/26
	 *
	 * @param code
	 * @return com.zhgzjg.web.enums.DeleteFlag
	 * @throws Exception
	 */
	public static OrderStatusEnum getEnumByCode(String code) {
		for (OrderStatusEnum type : OrderStatusEnum.values()) {
			if (type.code.equals(code)) {
				return type;
			}
		}
		return null;
	}


	/**
	 * Function:根据name来获取对应的枚举常量
	 * Author: Admin
	 * Date:2021/6/26
	 *
	 * @param name
	 * @return com.zhgzjg.web.enums.DeleteFlag
	 * @throws Exception
	 */
	public static OrderStatusEnum getEnumByName(String name) {
		for (OrderStatusEnum type : OrderStatusEnum.values()) {
			if (type.name.equals(name)) {
				return type;
			}
		}
		return null;
	}


	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
}
